%global realname skerl
%global upstream basho
%global git_tag 908d05a
%global patchnumber 0
%{?filter_setup:
%filter_provides_in %{_libdir}/erlang/lib/.*\.so$
%filter_setup
}

Name:		erlang-%{realname}
Version:	1.1.0
Release:	2%{?dist}
Summary:	Skein hash function for Erlang, via NIFs
Group:		Development/Languages
# Original skein sources are in Public Domain
# c_src/brg_*.h files are licensed under BSD or GPL (w/o explicit GPL version)
# src/hex.erl and src/skerl.erl are licensed under MIT
License:	Public Domain and BSD and MIT or GPL+
URL:		https://github.com/basho/skerl
# wget --no-check-certificate https://github.com/basho/skerl/tarball/1.1.0
Source0:	%{upstream}-%{realname}-%{version}-%{patchnumber}-g%{git_tag}.tar.gz
Patch1:		erlang-skerl-0001-Rewrote-hex-routines-under-MIT-license.patch
Patch2:		erlang-skerl-0002-Rewrote-Erlang-NIF-API-routines-under-MIT-license.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires:	erlang-rebar
# erlang:load_nif/2
Requires:	erlang-erts%{?_isa} >= R13B-03
Requires:	erlang-kernel%{?_isa}
Requires:	erlang-stdlib%{?_isa}


%description
Skein hash function for Erlang, via NIFs.


%prep
%setup -q -n %{upstream}-%{realname}-363daa7
%patch1 -p1
%patch2 -p1


%build
CFLAGS="%{optflags}" rebar compile -v


%install
rm -rf $RPM_BUILD_ROOT
install -p -m 0644 -D ebin/%{realname}.app %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
install -p -m 0644 ebin/%{realname}.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0644 ebin/hex.beam %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/ebin
install -p -m 0755 -D priv/%{realname}_nifs.so %{buildroot}%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%clean
rm -rf $RPM_BUILD_ROOT


%check
rebar eunit -v


%files
%dir %{_libdir}/erlang/lib/%{realname}-%{version}
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/ebin
%dir %{_libdir}/erlang/lib/%{realname}-%{version}/priv
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.app
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/%{realname}.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/ebin/hex.beam
%{_libdir}/erlang/lib/%{realname}-%{version}/priv/%{realname}_nifs.so


%changelog
* Sun Jun 17 2012 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-2
- Rewrote problematic files and relicensed them under MIT

* Fri Sep 16 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.1.0-1
- Ver. 1.1.0

* Mon Jan 10 2011 Peter Lemenkov <lemenkov@gmail.com> - 1.0.0-1
- Ver. 1.0.0 (the same as previous git snapshot 1f6f580)

* Fri Nov 12 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.1.20101112git1f6f580
- Initial build

